%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:   NetworkManager VPN integration for vpnc
Name:      networkmanager-vpnc
Epoch:     1
Version:   1.2.6
Release:   %mkrel 6
License:   GPLv2+
Group:     System/Base
URL:       https://wiki.gnome.org/Projects/NetworkManager
Source:    https://download.gnome.org/sources/NetworkManager-vpnc/%{url_ver}/NetworkManager-vpnc-%version.tar.xz
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libnma)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: intltool
Requires: networkmanager
Requires: vpnc

%description
This package contains software for integrating the vpnc VPN software
with NetworkManager.

%prep
%setup -q -n NetworkManager-vpnc-%{version}

%build
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure \
	--disable-static \
	--without-libnm-glib
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang NetworkManager-vpnc

%files -f NetworkManager-vpnc.lang
%doc AUTHORS ChangeLog
%{_libexecdir}/nm-vpnc-auth-dialog
%{_libexecdir}/nm-vpnc-service
%{_libexecdir}/nm-vpnc-service-vpnc-helper
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-vpnc-service.conf
%{_datadir}/appdata/network-manager-vpnc.metainfo.xml
%dir %{_datadir}/gnome-vpn-properties/vpnc
%{_datadir}/gnome-vpn-properties/vpnc/nm-vpnc-dialog.ui
%{_prefix}/lib/NetworkManager/VPN/nm-vpnc-service.name


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1:1.2.6-6.mga8
+ Revision: 1527993
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 02 2019 wally <wally> 1:1.2.6-5.mga8
+ Revision: 1426940
- build without legacy libnm-glib

* Mon Mar 11 2019 wally <wally> 1:1.2.6-4.mga7
+ Revision: 1374275
- clean unneeded (build)requires

* Sun Mar 10 2019 wally <wally> 1:1.2.6-3.mga7
+ Revision: 1373716
- drop unneeded requires

* Sun Sep 23 2018 umeabot <umeabot> 1:1.2.6-2.mga7
+ Revision: 1299729
- Mageia 7 Mass Rebuild

* Fri Jul 20 2018 ovitters <ovitters> 1:1.2.6-1.mga7
+ Revision: 1244423
- new version 1.2.6

* Sun Jul 01 2018 guillomovitch <guillomovitch> 1:1.2.4-2.mga7
+ Revision: 1241164
- rebuild for latest networkmanager

* Mon Oct 03 2016 ovitters <ovitters> 1:1.2.4-1.mga7
+ Revision: 1058288
- new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1:1.2.2-1.mga6
+ Revision: 1018683
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1:1.2.0-1.mga6
+ Revision: 1003915
- new version 1.2.0

* Tue Apr 05 2016 ovitters <ovitters> 1:1.1.93-1.mga6
+ Revision: 998801
- new version 1.1.93

* Tue Mar 29 2016 ovitters <ovitters> 1:1.1.92-1.mga6
+ Revision: 996339
- new version 1.1.92

* Tue Mar 01 2016 ovitters <ovitters> 1:1.1.91-1.mga6
+ Revision: 981624
- new version 1.1.91

* Thu Feb 11 2016 ovitters <ovitters> 1:1.1.90-1.mga6
+ Revision: 955856
- new version 1.1.90

* Fri Nov 20 2015 ovitters <ovitters> 1:1.0.8-1.mga6
+ Revision: 904521
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1:1.0.6-1.mga6
+ Revision: 870236
- new version 1.0.6

* Mon May 11 2015 tmb <tmb> 1:1.0.2-2.mga5
+ Revision: 821745
- submit to release

* Thu May 07 2015 shlomif <shlomif> 1:1.0.2-1.mga5
+ Revision: 821404
- New version 1.0.2 (MGA#15682)

* Thu Feb 05 2015 ovitters <ovitters> 1:1.0.0-1.mga5
+ Revision: 813586
- new version 1.0.0
- fix source url

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.10.0-3.mga5
+ Revision: 742585
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.10.0-2.mga5
+ Revision: 682872
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 ovitters <ovitters> 1:0.9.10.0-1.mga5
+ Revision: 650816
- new version 0.9.10.0

* Fri Jul 04 2014 ovitters <ovitters> 1:0.9.8.6-3.mga5
+ Revision: 643128
- update url

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.8.6-2.mga4
+ Revision: 534668
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 1:0.9.8.6-1.mga4
+ Revision: 478585
- new version 0.9.8.6

* Fri Jun 07 2013 ovitters <ovitters> 1:0.9.8.2-1.mga4
+ Revision: 440344
- new version 0.9.8.2

* Wed Feb 20 2013 ovitters <ovitters> 1:0.9.8.0-1.mga3
+ Revision: 399582
- new version 0.9.8.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 guillomovitch <guillomovitch> 1:0.9.6.0-1.mga3
+ Revision: 282843
- disable warnings preventing the build
+ ovitters <ovitters>
- new version 0.9.6.0
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 1:0.9.4.0-1.mga2
+ Revision: 225996
- new version 0.9.4.0
- new version 0.9.3.995
+ mikala <mikala>
- Update tarball to 0.9.0
- use xz tarball

* Tue Jun 14 2011 mikala <mikala> 1:0.8.999-1.mga2
+ Revision: 106239
- Update tarball to 0.8.999
- Fix file list
- Fix BuildRequires

* Thu Apr 21 2011 mikala <mikala> 1:0.8.4-1.mga1
+ Revision: 89452
- Update tarball to 0.8.4

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.995-1.mga1
+ Revision: 85271
- Update tarball

* Tue Mar 29 2011 mikala <mikala> 1:0.8.2-1.mga1
+ Revision: 78824
- imported package networkmanager-vpnc

